// Function to pull up the multiple selection pop-up
function multipleselection(param){
	onscreen 'RVV50R10C.1000'          	// General Data Tab             
		if(param.l_tab == 'PO'){
			enter('=S0S_TAB5');			// Purchase Orders Tab				
		}

	onscreen 'RVV50R10C.1000'           // Purchase Orders Tab				           
		clearscreen();					// To hide the screen background
		if(param.l_selection == '=%00210300000713501'){
			enter(param.l_selection);
		}

	RECHECK_POPUP:;
	onscreen 'SAPLALDB.3000'            // Popup for multiple selection
		goto RECHECK_POPUP;

	onscreen 'RVV50R10C.1000'          	// Purchase Orders Tab					 	            
		if(param.l_field == 'purchasedoc'){
			set("V[z_vl10g_podocnum]", "&F[ST_EBELN-LOW]");					// Purchasing Document Number
			set("V[z_vl10g_podocnumto]", "&F[ST_EBELN-HIGH]");				// Purchasing Document Number to	
		}
		enter('/n');		       		// Back to General Data Tab    
}


// User Interface
del('X[IMAGE_CONTAINER]');	// Delete ActiveX Container on SAP Easy Access screen
inputfield([1,1], "Purchasing Document", [1,25], {"size":10, "name":"z_vl10g_podocnum"});
inputfield([1,45], "to", [1,60], {"size":10, "name":"z_vl10g_podocnumto"});
pushbutton([1,75], "@1E\\QMultiple selection for Purchase Orders@", "/nVL10G", {"process":multipleselection, "using":{"l_tab":"PO","l_selection":"=%00210300000713501","l_field":"purchasedoc"}});	// Purchase Orders Tab
	